### Release

The traditional roles of software development teams are changing. The trend in the market is the shift from a centralized Release Management role into a shared, distributed responsibility across several groups with varying levels of technical expertise, and we expect more teams will adopt this approach in the next three years. We want to empower these teams to effectively manage releases naturally in GitLab.  

Our vision for Release at GitLab is that common deployment targets just work - point us to your code and your environment, and we'll automatically connect the dots. Releases will expand out from our supereriorly supported Kubernetes deployments to include other targets such as Azure, Google Cloud Platform, AWS, alongside mobile marketplaces and other app stores. All these deployments can be automatically tracked, monitored, and rolled back as necessary.  

To harness this shift in the responsibility of releases, we are introducing a host of integrated capabilities to Release Management at GitLab. 

  - Under Release Orchestration, we will introduce [Runbooks for Releases](https://gitlab.com/gitlab-org/gitlab/issues/9427), [Administration of Blackout Periods](https://gitlab.com/gitlab-org/gitlab/issues/24295), and [Context-awareness in Environments](https://gitlab.com/gitlab-org/gitlab/issues/14503), which will support teams at varying levels of techinical capability, while taking advantage of single application. 

  - To serve the security, compliance-minded parties on release teams, our Release Governance will [Automatically Collect Release Evidence](https://gitlab.com/groups/gitlab-org/-/epics/1856), to effortlessly see what the state of issues, test results,permissions, and assets were at the time of the release. We will support these same teammates in our fortification of [Secrets Management](https://gitlab.com/gitlab-org/gitlab/issues/20306) approach within GitLab.  

This amalgamation of development, security, compliance, and coordination of deploying software positions GitLab uniquely in a sea of release management point-solutions.  

In addition to the change in roles, the next natural step of software delivery is [Progressive Delivery](/direction/cicd/#progressive-delivery). Once there is an automated CI/CD process in place, Progressive delivery techniques enable the deployment to a targeted subset of users before being released to everyone, so that the risk of testing in production can be reduced. The idea is to get feedback, fast.. if something goes wrong, [reverting is automatic and without any hassle](https://gitlab.com/gitlab-org/gitlab/issues/17217). We believe that taking steps towards these directions is both natural and necessary in order to stay true to our customers and deliver a compelling product for Continuous Delivery.

Overall, the Release stage contains several new categories coming to market that will improve our Continuous Delivery capability at GitLab. CD is critical to pursuing the rest of the DevOps lifecycle: if we don't have users engaging with our CD solutions, then monitoring and other operational capabilities will be disconnected, and those users will not benifit from the integration of the single application. There are not many mature solutions for continuous delivery that provide a comprehensive solution to most of the market, so we have an opportunity to lead and bring value here, while also bringing in new customers maturing from continuous integration into continuous delivery.

- See a high level [roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=✓&state=opened&label_name[]=devops%3A%3Arelease)
- Stage usage can be tracked at the Release [SMAU (Stage Monthly Active Users) Dashboard](https://app.periscopedata.com/app/gitlab/451468/Release-Stage-Dashboard)

The Release stage is made up of several categories:

<%= partial("direction/categories-content", :locals => { :stageKey => "release" }) %>
